%global _empty_manifest_terminate_build 0
Name:		python-moto
Version:	5.0.9
Release:	1
Summary:	A library that allows your python tests to easily mock out the boto library
License:	Apache-2.0
URL:		https://github.com/spulec/moto
Source0:	https://files.pythonhosted.org/packages/49/47/805b9df337b1fdfbd73e4b8e4d3cfcc706194583deb8adccf3ec92527ed2/moto-5.0.9.tar.gz
BuildArch:	noarch

%description
Moto is a library that allows your tests to easily mock out AWS Services.

%package -n python3-moto
Summary:	A library that allows your python tests to easily mock out the boto library
Provides:	python-moto = %{version}-%{release}
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
BuildRequires:	python3-pbr
BuildRequires:	python3-pip
BuildRequires:	python3-wheel
BuildRequires:	python3-boto3
BuildRequires:	python3-botocore
BuildRequires:	python3-cryptography
BuildRequires:	python3-dateutil
BuildRequires:	python3-docker
BuildRequires:	python3-flask
BuildRequires:	python3-idna
BuildRequires:	python3-jinja2
BuildRequires:	python3-markupsafe
BuildRequires:	python3-mock
BuildRequires:	python3-more-itertools
BuildRequires:	python3-pytz
BuildRequires:	python3-pyyaml
BuildRequires:	python3-requests
BuildRequires:	python3-responses
BuildRequires:	python3-rsa
BuildRequires:	python3-six
BuildRequires:	python3-werkzeug
BuildRequires:	python3-xmltodict
BuildRequires:	python3-zipp
Requires:	python3-boto3
Requires:	python3-botocore
Requires:	python3-cryptography
Requires:	python3-requests
Requires:	python3-xmltodict
Requires:	python3-werkzeug
Requires:	python3-dateutil
Requires:	python3-responses
Requires:	python3-markupsafe
Requires:	python3-jinja2
Requires:	python3-importlib-metadata
%description -n python3-moto
Moto is a library that allows your tests to easily mock out AWS Services.

%package help
Summary:	Development documents and examples for moto
Provides:	python3-moto-doc
%description help
Moto is a library that allows your tests to easily mock out AWS Services.

%prep
%autosetup -n moto-%{version}

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.rst ]; then cp -af README.rst %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.md ]; then cp -af README.md %{buildroot}/%{_pkgdocdir}; fi
if [ -f README.txt ]; then cp -af README.txt %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-moto -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Tue Jun 4 2024 lilu <lilu@kylinos.cn> - 5.0.9-1
- Update package to version 5.0.9
- Fixed an InfiniteRecursion-bug when accessing S3-buckets that was introduced in 5.0.8

* Wed May 22 2024 lilu <lilu@kylinos.cn> - 5.0.7-1
- Update package to version 5.0.7, some of the new features are as follows:
- Athena: start_query_execution() now supports the ExecutionParameters-parameter
- DynamoDB: Tables now support DeleteProtection

* Tue Apr 02 2024 wangqiang <wangqiang1@kylinos.cn> - 5.0.4-1
- Update package to version 5.0.4

* Wed Dec 21 2022 wangjunqi <wangjunqi@kylinos.cn> - 4.0.12-1
- Update package to version 4.0.12

* Thu Jun 16 2022 OpenStack_SIG <openstack@openeuler.org> - 3.0.4-1
- Upgrade version for openstack yoga

* Thu Aug 12 2021 OpenStack_SIG <openstack@openeuler.org> - 2.0.1-1
- Add BuildRequires and Requires

* Mon Aug 09 2021 OpenStack_SIG <openstack@openeuler.org> - 2.0.1-1
- Package Spec generate
